Skip to main content
GET
/
v1
/
files
Get all files
curl --request GET \
  --url https://dev.flextell.ai/api/v1/files \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "name": "<string>",
      "description": "<string>",
      "type": "<string>",
      "mime_type": "<string>",
      "size": 123,
      "formatted_size": "<string>",
      "group_id": "<string>",
      "fileable_type": "<string>",
      "fileable_id": 123,
      "temporary_url": "<string>",
      "temporary_thumbnail_url": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z"
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "current_page": 2,
    "from": 2,
    "last_page": 2,
    "links": [
      {
        "url": "<string>",
        "label": "<string>",
        "active": true
      }
    ],
    "path": "<string>",
    "per_page": 1,
    "to": 2,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Query Parameters

per_page
integer | null

The number of files per page.

Required range: 1 <= x <= 100
page
integer | null

The page number.

Required range: x >= 1
sort_by
enum<string> | null

Sort by a field.

Available options:
name,
size,
type,
created_at,
updated_at
sort_order
enum<string> | null

Sort order.

Available options:
asc,
desc
type
enum<string>

Filter by file type.

Available options:
form_image,
audio,
catalog,
certificate,
image,
other
fileable_type
enum<string> | null

Filter by fileable type.

Available options:
customer,
user,
tenant,
chat_log,
ai_report
fileable_id
integer | null

Filter by fileable id.

Required range: x >= 1
trashed
boolean | null

Filter by trashed status.

Response

Paginated set of FileResource

data
FileResource · object[]
required
meta
object
required